<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/* SMS Notifier Block
 * SMS notifier is a one way SMS messaging block that allows managers, teachers and administrators to
 * send text messages to their student and teacher.
 * @package blocks
 * @author: Azmat Ullah, Talha Noor
 * @date: 17-Jul-2014
 */

defined('MOODLE_INTERNAL') || die;
if ($ADMIN->fulltree) {
  

    // ROLE SETTINGS

    $settings->add(new admin_setting_heading(
            'headerrolesettings', 'Role settings', 'Define the users that can receive Message'
    ));


    $settings->add(new admin_setting_configselect('block_pfi_rolenames', 'Role names to use', 'Select Moodle role names which you want to use', 'Moodle short names', array('Moodle short names', 'Custom names', 'Archetypes')), 'Moodle short names');

  
}