<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
/* Plugin Profile Field Identifier Block
 * This plugin block will show the list of user who has filled their optional & custom fields.
 * In case user has not fill their optional & custom fields and which is necessary in management point of view
 * then admin/manager can send notification to fill them.
 * @package blocks
 * @author: Azmat Ullah, Talha Noor
 * @copyright  Copyrights © 2012 - 2014 | 3i Logic (Pvt) Ltd.
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 *
 */
    $string['pluginname'] = 'Profile Field Identifier';
    $string['messageprovider:send'] = 'Send Profile Field Notification';
    $string['profile_field_identifier'] = 'Profile Field Identifier';
    $string['selectfieldtype'] = 'Select Field Type';
    $string['selectfield'] = 'Select Field';
    $string['selectcourse'] = 'Select Course';
    $string['selectrole'] = 'Select Role';
    $string['profile_field_identifier:sendmessages']= 'Send Notification';
    $string['profile_field_identifier:viewmessages']= 'View Notification';
    $string['picture_profile'] = 'Picture Profile';
    $string['fullname'] = 'Full Name';
    $string['email'] = 'Email';
    $string['message'] = 'Message';
    $string['profile_field_identifier:addinstance'] = 'Add Instance';
    $string['profile_field_identifier:view'] = 'Profile Field Identifier View';
    $string['notification'] = 'Send notification';
    $string['userswithfield'] = 'Show users with field';
    $string['missingfieldusers'] = 'Show missing field users';
    $string['notification_page'] = 'Notification Page';
    $string['notification'] = 'Notification';
    $string['field_name'] = 'Field Name';
    $string['profile_picture'] = 'Profile Picture';
    $string['select'] = 'Select';
    $string['profile_field_notification'] = 'Profile Field Notification';
      